Summary: A set of Bangla fonts under GPL
Name: fonts-ttf-bengali
Version: 0.3
Release: 2mdk
Copyright: GPL
Group: System/Fonts/True type
Source: http://savannah.nongnu.org/download/freebangfont/freebanglafont-0.3.tar.bz2
URL: http://www.bengalinux.org/
BuildArch:	noarch
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:	freetype-tools
Prereq:		%_sbindir/chkfontpath

%description
This package contains a set of Bangla (Bengali) OpenType fonts based on
Unicode encoding scheme. The fonts are provided by Free Bangla Font project,
a sub project of Ankur group (http://www.bengalinux.org).

Install freebanglafont if you'd like to use Bangla or want to see Bangla
interface for GNOME, KDE, etc.

%description -l bn
এই প্যাকেজটিতে ইউনিকোডের উপর ভিত্তি করা বাংলা ওপেন টাইপ ফন্ট আছে.
ফন্টগুলো দিয়েছে অঙ্কুর গ্রুপের (http://www.bengalinux.org) মুক্ত বাংলা ফন্ট প্রকল্প 

আপনি যদি বাংলা ব্যাবহার করতে চান অথবা GNOME, KDE, ইত্যাদির বাংলা
ইন্টারফেস দেখতে চান তাহলে freebanglafont ইনস্টল করুন.

%prep
%setup -n freebanglafont-%version

%build

%install
rm -rf %buildroot
install -d %buildroot/%_datadir/fonts/ttf/bengali

install -m 644 *.ttf %buildroot/%_datadir/fonts/ttf/bengali

(cd %buildroot/%_datadir/fonts/ttf/bengali
 fc-cache . || touch fonts.cache-1
)

%post
%{_bindir}/fc-cache %{_datadir}/fonts/ 

%postun
# 0 means a real uninstall
if [ "$1" = "0" ]; then
   %{_bindir}/fc-cache %{_datadir}/fonts/ 
fi

%clean
rm -fr %buildroot

%files
%defattr(0644,root,root,0755)
%dir %_datadir/fonts/
%dir %_datadir/fonts/ttf/
%dir %_datadir/fonts/ttf/bengali
%_datadir/fonts/ttf/bengali/*.ttf
%_datadir/fonts/ttf/bengali/fonts.cache-1

%changelog
* Thu May 13 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-2mdk
- formated description

* Fri May 02 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 0.3-1mdk
- adapted for mdk

* Mon Apr 21 2003 Taneem Ahmed <taneem@eyetap.org>
- Updated post-[un]install script

* Tue Dec 10 2002 Taneem Ahmed <taneem@eyetap.org>
- Added Xft configuration file and cache update support 
- Added libgnomeprint database update, if it is installed 
- Updated new version of Akaash

* Sun Dec 08 2002 Taneem Ahmed <taneem@eyetap.org>
- Added new font Mukti
- Updated new version of Ani

* Thu Nov 14 2002 Taneem Ahmed <taneem@eyetap.org>
- Initial rpm package for freebanglafont
